Page MenuHomePhabricator

[driver][mips] Enable integrated assembler for MIPS64 except N32 ABI selected
AbandonedPublic

Authored by atanasyan on Sep 24 2018, 6:45 AM.

Details

Reviewers
rsmith
rnk
zturner
Summary

Enable integrated assembler for MIPS64 targets except N32 ABI explicitly selected by the -mabi=n32 command line option or mips64(el)-linux-gnuabin32 target triple.

Diff Detail

Repository
rC Clang

Event Timeline

atanasyan created this revision.Sep 24 2018, 6:45 AM
rnk accepted this revision.Oct 4 2018, 1:21 PM

lgtm, sorry it got lost.

This revision is now accepted and ready to land.Oct 4 2018, 1:21 PM
brad added a subscriber: brad.Oct 4 2018, 6:37 PM

Simon, and what about lib/Target/Mips/MCTargetDesc/MipsMCAsmInfo.cpp?

Simon, and what about lib/Target/Mips/MCTargetDesc/MipsMCAsmInfo.cpp?

Good point. In fact, integrated assembler for GNUABIN32 was enabled in the MipsMCAsmInfo ctor by me and by mistake. I have another patch which fix it. But anyway there is a problem - we cannot check command line options in the MipsMCAsmInfo. So I'm going to test current MIPS N32 ABI implementation. Maybe we are ready to enable integrated assembler for it. In that case both Generic_GCC::IsIntegratedAssemblerDefault() and MipsMCAsmInfo ctor can be simplified.

brad added a comment.Oct 10 2018, 9:43 AM

IMHO it would be best to try and deal with as many known / exposed issues with the N32 support and then just enable IAS across the board. Then tackle any remaining issues as they come up.

brad added a comment.Oct 22 2018, 6:05 PM

How is it going with regard to N32 fixes / testing?

How is it going with regard to N32 fixes / testing?

I'm in the process of building/testing LLVM/Clang binaries for N32 ABI.

Simon?

The testing continues. Unfortunately I do not have access to an appropriate hardware so cannot control the process. But the task is not abandoned.

atanasyan abandoned this revision.Dec 12 2018, 7:43 AM

Commits rL348934 and rL348935 enable using of integrated assembler for MIPS targets in all cases.